> For the complete documentation index, see [llms.txt](https://docs.expel.io/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.expel.io/workbench-setup/auto-remediations/delete-malicious-files/crowdstrike-delete-malicious-files.md).

# CrowdStrike: Delete Malicious Files

This guide helps you set up your CrowdStrike device and grant necessary permissions so that you can enable the Delete Malicious Files auto remediation in Workbench.

*This guide is the first step of a larger process to enable auto remediations. After completing the steps on this page, you will be instructed to return to the* [*Enable an Auto Remediation in Workbench*](/workbench-setup/auto-remediations/enable-an-auto-remediation-in-workbench.md) *guide to finish your setup.*

## Prerequisites <a href="#h_01hz2r8qtmdxqtp1dcd11h31ev" id="h_01hz2r8qtmdxqtp1dcd11h31ev"></a>

1. You must have enabled read and write permissions for the Real Time Response OAuth2 API client. See [Step 1 of CrowdStrike Falcon Insight XDR Setup for Workbench](/connect-your-technology/a-c-integrations/crowdstrike/crowdstrike-falcon-insight-xdr-setup-for-workbench.md#h_01hpm2g4z34q379y0r4afz6mtt) for instructions and/or to verify your permissions.
2. You must have admin access in Workbench, as auto remediations are enabled at the organization level.

## How It Works <a href="#h_01kcq58zyx8ybb32hecxz7qhhp" id="h_01kcq58zyx8ybb32hecxz7qhhp"></a>

### Endpoints Used <a href="#h_01kcq58zyx8ybb32hecxz7qhhp" id="h_01kcq58zyx8ybb32hecxz7qhhp"></a>

**CrowdStrike Real Time Response (RTR)**

active-responder command tier

<table><thead><tr><th width="123.40625">Method</th><th>Endpoint</th><th>Purpose</th></tr></thead><tbody><tr><td>GET</td><td><code>/devices/queries/devices/v1</code></td><td>Look up device ID by hostname</td></tr><tr><td>POST</td><td><code>/devices/entities/devices/v2</code></td><td>Fetch host details to confirm the match</td></tr><tr><td>POST</td><td><code>/real-time-response/combined/batch-init-session/v1</code></td><td>Open an RTR session on the host</td></tr><tr><td>POST</td><td><code>/real-time-response/combined/batch-active-responder-command/v1</code></td><td>Run path to delete the file</td></tr></tbody></table>

Identifies the file by path. No revert (an optional pre-delete backup can zip/upload the file first).

## Step 1: Edit the Response Policy in CrowdStrike <a href="#h_01hz2r8qtmbqhh1gtt2nj7yt74" id="h_01hz2r8qtmbqhh1gtt2nj7yt74"></a>

**If you have already enabled other auto remediations for CrowdStrike Falcon, some of the response policy settings may already be in place. Make sure to verify the sensor settings in your response policy as described below.**

For this auto remediation to work, you must enable both Real Time Response and the `get` command on the appropriate response policies in the Sensor Settings. The `get` command allows Expel to extract your files from a remote host. Refer to the [CrowdStrike documentation](https://falcon.crowdstrike.com/documentation/page/b8c1738c/real-time-response-and-network-containment#nc81f726) for additional help with this step.

**Before you begin, remember that you must have already** [enabled read and write permissions](/connect-your-technology/a-c-integrations/crowdstrike/crowdstrike-falcon-insight-xdr-setup-for-workbench.md#h_01hpm2g4z34q379y0r4afz6mtt) **for Real Time Response for the OAuth2 API client in CrowdStrike.**&#x20;

1. [Log in to CrowdStrike Falcon](https://falcon.crowdstrike.com/login/?unilogin=1).
2. In the top left menu, navigate to **Host setup and management** **> Response and containment > Response policies**.
3. Select the response policy that contains the hosts you want to enable for this auto remediation.
4. In the policy's Sensor Settings:
   * Select the **Real Time Response** checkbox to enable it.
   * Select the **get** checkbox to enable the `get` command.
   * Select **Save**.
5. Repeat these steps for any additional response policies that contain hosts that need this auto remediation enabled, and be sure to do this for all three platforms (Windows, MacOS, Linux).

## Step 2: Update Your Context <a href="#h_01jhrm39k6zwpsdc6r9c995qgr" id="h_01jhrm39k6zwpsdc6r9c995qgr"></a>

**If you do not want to specify any files for a "do not delete" or "always delete" list, and instead wish for Expel to automatically delete all identified files, skip to** [**Step 3**](#h_01j7kypdqgvzxv5wa84vspabyr)**.**

Working with your Customer Success Manager, prepare to create an allow or deny list by adding files as [org context](/workbench-reference/expel-terminology.md#org-context) for your environment. You will then be able to select those files as "Never delete" or "Always delete" assets when you enable the auto remediation in Workbench.

{% hint style="info" %}
If our SOC identifies files that must be deleted and you have created either an allow ("Always delete") or deny ("Never delete") list in Workbench, any files falling outside of those parameters are assigned to you as actions rather than being deleted automatically.
{% endhint %}

## Step 3: Return to the Main Setup Guide <a href="#h_01j7kypdqgvzxv5wa84vspabyr" id="h_01j7kypdqgvzxv5wa84vspabyr"></a>

Your CrowdStrike device is now ready for the Delete Malicious Files auto remediation. You should now do one of the following:

* **If you do not need to set up any other devices for this auto remediation**, you can return to the [Enable an Auto Remediation in Workbench](/workbench-setup/auto-remediations/enable-an-auto-remediation-in-workbench.md) guide to finish Step 2 of the process.
* **If you need to set up additional devices for this auto remediation, or wish to use this device with multiple auto remediations**, be sure to [complete those setup guides as well](/workbench-setup/auto-remediations.md) before returning to the [Enable an Auto Remediation in Workbench](/workbench-setup/auto-remediations/enable-an-auto-remediation-in-workbench.md) guide to finish Step 2 of the process. *Make sure to follow the setup guide that is specific to your auto remediation, as device setup instructions are unique to each auto remediation and device.*


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation by asking a question.

Perform an HTTP GET request on the following URL with the `ask` and `goal` query parameters:

```
GET https://docs.expel.io/workbench-setup/auto-remediations/delete-malicious-files/crowdstrike-delete-malicious-files.md?ask=<question>&goal=<user_goal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is what the user is ultimately trying to achieve, the reason they need the answer. Sharing it helps GitBook give you a better, more relevant answer. A goal is most helpful when it describes the outcome the user wants rather than restating the question. For example, with `ask=how do I create an API token`, a goal like `automate deployments from our CI pipeline` lets GitBook tailor the answer to that use case.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
